package models

import "math/big"

type SignallingConnectStatusReq struct {
	NodeId string `json:"nodeId"`
}

type ConnectAppReq struct {
	AppId string `json:"appId"`
}

type SendSignallingReq struct {
	MQTTConnectInfo *MQTTConnectInfo `json:"MQTTConnectInfo"`
	ICEConnectInfo  *ICEConnectInfo  `json:"ICEConnectInfo"`
}

type MQTTConnectInfo struct {
	Broker string   `json:"broker"`
	Port   *big.Int `json:"port"`
	WsPort *big.Int `json:"ws_port"`
}

type ICEConnectInfo struct {
	Stuns []string       `json:"stuns"`
	Turns []*TurnInfoReq `json:"turns"`
}

type TurnInfoReq struct {
	Url        string `json:"url"`
	UserName   string `json:"username"`
	Credential string `json:"credential"`
}
